Method: projects.locations.clusters.getCertificateAuthority

מקבל את פרטי המידע של רשות האישורים עבור אשכול Redis.

בקשת HTTP

GET https://redis.googleapis.com/v1/{name=projects/*/locations/*/clusters/*/certificateAuthority}

כתובת ה-URL כתובה בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
name

string

חובה. שם המשאב של רשות אישורים (CA) של אשכול Redis בפורמט: projects/{projectId}/locations/{locationId}/clusters/{clusterId}/certificateAuthority כאשר locationId מתייחס לאזור ב-Google Cloud.

גוף הבקשה

גוף הבקשה צריך להיות ריק.

גוף התשובה

רשות אישורים של אשכול Redis

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
שדות
name

string

מזהה. שם ייחודי של המשאב בהיקף הזה, כולל הפרויקט, המיקום והאשכול, בפורמט: projects/{project}/locations/{location}/clusters/{cluster}/certificateAuthority

פרטי CA של השרת. הרשימה הבאה כוללת שדות שאי אפשר להשתמש בהם בו-זמנית. בכל תשובה יוגדר לכל היותר אחד מהשדות:
managedServerCa

object (ManagedCertificateAuthority)

סוף השדות הבלעדיים.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

ניתן למצוא מידע נוסף כאן: Authentication Overview.

ManagedCertificateAuthority

ייצוג ב-JSON
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
שדות
caCerts[]

object (CertChain)

שרשראות אישורי CA עם קידוד PEM לאימות שרת מנוהל של Redis

CertChain

ייצוג ב-JSON
{
  "certificates": [
    string
  ]
}
שדות
certificates[]

string

האישורים שמרכיבים את שרשרת ה-CA, מהעלים ועד השורש.